﻿//Exit immediately if it isn't a coop or an unknown missiontype
_gt = toLower (getText (missionConfigFile >> "Header" >> "gameType"));
//Array of allowed missiontypes
_IVD = ["coop","unknown",""];
if ( not(_gt in _IVD) ) exitWith{}; 

#include "\userconfig\IVD\IVD_config.hpp"

_startVD = IVD_Startup_VD;
_startTD = IVD_Startup_TD;


RG_IVD_Update =
{
	_dist = RG_IVD_Distance;
	setViewDistance RG_IVD_Distance;
		
	with uiNamespace do
	{
		RG_IVD_Slider sliderSetPosition _dist;
		RG_IVD_Slider_Value ctrlSetText format ["%1", _dist];
	};
};

RG_IVD_TD_Update =
{
	setterraingrid RG_IVD_Tdetail;
};

RG_IVD_Code =
{ 
	if (not isNil "RG_IVD_Action") then {
		RG_IVD_Unit removeAction RG_IVD_Action;
	};
	RG_IVD_Unit = vehicle Player;
	RG_IVD_Action = RG_IVD_Unit addAction [localize "STR_RG_IVD_TITLE", "\InstantViewDistance_noPvP\InstantViewDistance.sqf", 0, -8, false, false, ""];
};

RG_IVD_Unit = objNull;
RG_IVD_Distance = _startVD; call RG_IVD_Update;
RG_IVD_Tdetail = _startTD; call RG_IVD_TD_Update;

waitUntil {(!isNull Player) and (alive Player)};

while {true} do {
	waitUntil {sleep 1; vehicle Player != RG_IVD_Unit};
	[] call RG_IVD_Code;
};